Loading...
Searching...
No Matches
itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform > Class Template Reference

`#include <itkGPUIdentityTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>
class itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >

GPU version of IdentityTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 45 of file itkGPUIdentityTransform.h.

Inheritance diagram for itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUTransformBase
using | Pointer = SmartPointer<Self>
using | Self = GPUIdentityTransform
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
bool | IsIdentityTransform () const override
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsMatrixOffsetTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

bool | GetSourceCode (std::string &source) const override
| GPUIdentityTransform ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUIdentityTransform () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUIdentityTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Private Attributes

std::vector< std::string > | m_Sources {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

using itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 55 of file itkGPUIdentityTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

using itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 52 of file itkGPUIdentityTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

using itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::GPUSuperclass = GPUTransformBase

Definition at line 53 of file itkGPUIdentityTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

using itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 54 of file itkGPUIdentityTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

using itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::Self = GPUIdentityTransform

Standard class typedefs.

Definition at line 51 of file itkGPUIdentityTransform.h.

## Constructor & Destructor Documentation

## GPUIdentityTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::GPUIdentityTransform | ( |  | ) |

protected

## ~GPUIdentityTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::~GPUIdentityTransform | ( |  | ) |

override protected default

## GPUIdentityTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::GPUIdentityTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

virtual const char * itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetSourceCode()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

bool itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::GetSourceCode | ( | std::string & | source | ) | const

override protected virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented from itk::GPUTransformBase.

## IsIdentityTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

bool itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::IsIdentityTransform | ( |  | ) | const

inline override virtual

Returns true if the derived transform is identity transform, false otherwise.

Reimplemented from itk::GPUTransformBase.

Definition at line 66 of file itkGPUIdentityTransform.h.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

Pointer itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

const Self & itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

## PrintSelf()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

void itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## Field Documentation

## m_Sources

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = IdentityTransform<TScalarType, NDimensions>>

std::vector<std::string> itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >::m_Sources {}

private

Definition at line 87 of file itkGPUIdentityTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |